Get Location by ID
Get a single Location by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
location_id
ID of the Location.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
creator
schemaFields
allowNonLocationChildren
Whether this location can store plates, boxes, and containers.
allowedInventorySchemas
The plate, box, and container schemas that can be stored in this location.
If allowsNonLocationChildren is true and this list is empty, all schemas are allowed.
archiveReason
archived
availableCapacity
The number of available positions in this location. Null if totalCapacity is not set.
barcode
createdAt
id
modifiedAt
name
occupiedCapacity
The number of plates, boxes, and containers currently in this location.
Null if totalCapacity is not set.
parentStorage
schema
totalCapacity
The total capacity of this location (i.e. how many plates, boxes, and containers it can store). If null, capacity is not limited.
validationStatus
Whether this location is passing all validation checks.
Allowed values:
Errors
400
Location Get Request Bad Request Error
403
Location Get Request Forbidden Error
404
Location Get Request Not Found Error
429
Location Get Request Too Many Requests Error
500
Location Get Request Internal Server Error